use serde::{Serialize, Deserialize};

use super::{channel::PartialChannel, user::PartialUser};

#[derive(Serialize, Deserialize, Debug, Clone)]
pub struct Guild {
    pub id: String,
    pub name: String,
    pub owner: PartialUser,
    pub default_channel: PartialChannel,
    pub channels: Option<Vec<PartialChannel>>,
}
